Re: [Cursive] IntelliJ 2021.1 Support

51 views
Skip to first unread message

Pedro Boschi

unread,
Apr 12, 2021, 9:51:25 AMApr 12
to cur...@googlegroups.com
Using the Cursive plugin version "1.10.2-eap2-2021.1" you can have Clojure support in IntelliJ 2021.1.
However it seems the "pre-built shared indexes" is causing some issues. The IDE crashes randomly, and then when opening again all the clojure lines in the clojure files receive a warning error of the type "<funcion / macro / defn / ns> cannot be resolved". The only workaround for this I could find was to invalidate the caches, asking to delete the downloaded pre-built caches, and not let the IDE to download these again.
When the crash happens a thread dump gets created, but no exception in the `idea.log`.

Regards,

Pedro Boschi

Engenharia | Pipo Saúde

11 998155344 | Meu perfil 



On Mon, Apr 12, 2021 at 5:46 AM Matan Rosenberg <matan.r...@forter.com> wrote:
Hi, are there any estimates about when Cursive will support IntelliJ 2021.1?

Thanks,

--
You received this message because you are subscribed to the Google Groups "Cursive" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cursive+u...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/cursive/c18c5de9-9f5d-4d4a-9e44-15d15baf0f8bn%40googlegroups.com.

Colin Fleming

unread,
Apr 12, 2021, 10:09:05 PMApr 12
to Cursive Group
Hi Matan,

That support has been in for a while now, the first EAP supporting it came out in January and there's been a stable release out with support for it since March.

Cheers,
Colin

Colin Fleming

unread,
Apr 12, 2021, 10:10:05 PMApr 12
to Cursive Group
Hi Pedro,

Could you email me the thread dump from the crash? I'll take a look, although it sounds like something that might require a YouTrack issue for IntelliJ.

Cheers,
Colin

Pedro Boschi

unread,
Apr 13, 2021, 7:58:21 AMApr 13
to cur...@googlegroups.com
Hi Colin,

As you mentioned YouTrack I went searching for a problem similar to mine and could find this open issue: https://youtrack.jetbrains.com/issue/IDEA-266058
This one addresses the IDE crashes, and I am glad it is not something related to Cursive  :)

Now, after the IDE crash, when I reopen it, I see that all lines of any clojure file get marked in yellow, saying that "*** cannot be resolved". I do not see this with Java files, so my guess is that something may have gone haywire with Cursive indexes of the Clojure libs. And to get things "back to normal" I need to Invalidate caches and Restart, but I need to do this with the "Clear downloaded shared indexes" checkbox marked for it to work.
Please let me know if I can extract any logs that might help. The "idea.log" only contains the "usual" exception:
java.lang.Throwable
     at com.intellij.openapi.roots.impl.ProjectRootManagerComponent.logRootChanges(ProjectRootManagerComponent.java:309)


Regards,

Pedro Boschi

Engenharia | Pipo Saúde

+55 11 998155344 | Meu perfil 



Blake Watson

unread,
Apr 13, 2021, 5:46:50 PMApr 13
to cur...@googlegroups.com

I have this issue with cursive/IJ upgrades occasionally. Suddenly the IDE will not recognize Clojure at all. I mean, it knows it's looking at Clojure app and I can start a repl, and the context menu options include converting to cljc/cljs and all that, but the code is all "new phone, who dis?"
image.png
Like, it should know what ns, defn and println are. Usually I get some kind of REPL error to send (which happened with this latest) and there's an update within hours or a day or two at latest. 

I only mention it this time is that it's been going on for a while, and I've got version 1.10.1-2021.1, released on March 1st?
Reply all
Reply to author
Forward
0 new messages